module JpegTurbo_jll
using Libdl
is_available() = true
find_artifact_dir() = "/usr"
artifact_dir = "/usr"
const PATH_list = String[]
const LIBPATH_list = String[]
const PATH = Ref("")
const LIBPATH = Ref("")
const LIBPATH_env = "LD_LIBRARY_PATH"
export libjpeg
const libjpeg_path = "/usr/lib/libjpeg.so.8"
libjpeg_handle = C_NULL
get_libjpeg_path() = libjpeg_path
const libjpeg = "libjpeg.so.8"
export libturbojpeg
const libturbojpeg_path = "/usr/lib/libturbojpeg.so.0"
libturbojpeg_handle = C_NULL
get_libturbojpeg_path() = libturbojpeg_path
const libturbojpeg = "libturbojpeg.so.0"
export cjpeg
const cjpeg_path = "/usr/bin/cjpeg"
cjpeg(f::Function; kw...) = f(cjpeg_path)
cjpeg(; kw...) = Cmd([cjpeg_path])
export djpeg
const djpeg_path = "/usr/bin/djpeg"
djpeg(f::Function; kw...) = f(djpeg_path)
djpeg(; kw...) = Cmd([djpeg_path])
export jpegtran
const jpegtran_path = "/usr/bin/jpegtran"
jpegtran(f::Function; kw...) = f(jpegtran_path)
jpegtran(; kw...) = Cmd([jpegtran_path])
function __init__()
    global libjpeg_handle = dlopen(libjpeg_path)
    global libturbojpeg_handle = dlopen(libturbojpeg_path)
end
end
